# Media Video Micromodal

## Creates a formatter for a modal popup for remote videos.

This module uses the micromodal.js library to generate modal popup for remote videos from the media module.  Specifically works with core media oembed remote videos, that have the "field_media_oembed_video" field for the remote video URL.  You may attach the modal to the thumbnail generated by the oembed remote video or the video name.

Lightweight and non-dependant on jQuery.

Steps for Setup:
- Enable the module.
- Manage the display settings for the "video" media bundle.

To display the video thumbnail linking to the modal:
- Display the "Thumbnail" field.
- Set the "Format" to "Micromodal field formatter".
- Use the settings to select the image style for the thumbnail.

To display the media name linking to the modal:
- Display the "Name" field.
- Set the "Format" to "Micromodal field formatter".
- Use the settings to add additional styles to a &lt;span&gt; tag around the name.

Working with Views:
You can use this module with views by creating or using an existing view mode for the content type and assigning the formatter.  Then inside of the view use "Rendered Entity" and use the content type view mode with the micromodal formatter(s) set.

About micromodal.js:
https://micromodal.vercel.app/  
Micromodal.js is a lightweight, configurable and a11y-enabled modal library written in pure JavaScript
